petsc-3.4.2 2013-07-02

# PetscLayoutDuplicate

creates a new PetscLayout with the same information as a given one. If the PetscLayout already exists it is destroyed first.

### Synopsis

    PetscErrorCode  PetscLayoutDuplicate(PetscLayout in,PetscLayout *out)

Collective on PetscLayout

### Input Parameter

in -input PetscLayout to be duplicated

### Output Parameter

out -the copy

Notes: PetscLayoutSetUp() does not need to be called on the resulting PetscLayout

### See Also

PetscLayoutCreate(), PetscLayoutDestroy(), PetscLayoutSetUp(), PetscLayoutReference()

Level:developer
Location:src/vec/is/utils/pmap.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages